/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.exampleeconomics.service;

import java.util.List;

import com.jeeplus.modules.examplesingle.dao.ExampleSingleDao;
import com.jeeplus.modules.examplesingle.entity.ExampleSingle;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.exampleeconomics.entity.ExampleEconomics;
import com.jeeplus.modules.exampleeconomics.dao.ExampleEconomicsDao;

/**
 * 经济指标Service
 * @author ssrh
 * @version 2018-08-29
 */
@Service
@Transactional(readOnly = true)
public class ExampleEconomicsService extends CrudService<ExampleEconomicsDao, ExampleEconomics> {
	@Autowired
	private ExampleEconomicsDao exampleEconomicsDao;
	public ExampleEconomics get(String id) {
		return super.get(id);
	}
	public List<ExampleEconomics> getCount(String companyId,String areaId,String dictId,String indexId) {
		return dao.getCount(companyId,areaId,dictId,indexId);
	}

	public List<ExampleEconomics> findList(ExampleEconomics exampleEconomics) {
		return super.findList(exampleEconomics);
	}
	
	public Page<ExampleEconomics> findPage(Page<ExampleEconomics> page, ExampleEconomics exampleEconomics) {
		return super.findPage(page, exampleEconomics);
	}
	
	@Transactional(readOnly = false)
	public void save(ExampleEconomics exampleEconomics) {
		super.save(exampleEconomics);
	}
	
	@Transactional(readOnly = false)
	public void delete(ExampleEconomics exampleEconomics) {
		super.delete(exampleEconomics);
	}


	@Transactional(readOnly = false)
	public void delteByIndexId(String eId,String indexId) {
		exampleEconomicsDao.delteByIndexId(eId,indexId);
	}
	public ExampleEconomics findEconomics(ExampleEconomics exampleEconomics) {
		return dao.findEconomics(exampleEconomics);
	}

}